Package ru.bitel.bgbilling.modules.voice.common.service

# Interface VoiceZoneService

@MTOM(enabled=true, threshold=1024) public interface VoiceZoneService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `importZoneMap(int zomeMapId, int mode, String importContent)`
  Импорт элементов карты зон.
  `SearchResult<VoiceZone>`
  `searchVoiceZone(String[] sort, Page page)`
  `void`
  `voiceZoneCostMapDelete(int id)`
  `VoiceZoneCostMap`
  `voiceZoneCostMapGet(int id)`
  `List<VoiceZoneCostMap>`
  `voiceZoneCostMapList()`
  `int`
  `voiceZoneCostMapUpdate(VoiceZoneCostMap voiceZoneCostMap)`
  `int`
  `voiceZoneDelete(int voiceZoneId)`
  `VoiceZone`
  `voiceZoneGet(int accountTypeId)`
  `List<VoiceZone>`
  `voiceZoneList()`
  `int`
  `voiceZoneMapDelete(int zoneMapId)`
  Удаление карты зон из БД.
  `int`
  `voiceZoneMapItemDelete(List<Integer> itemIds)`
  Удаление элемента (ов) карты зон по его идентификатору.
  `VoiceZoneMapItem`
  `voiceZoneMapItemGet(int itemId)`
  Получение одного конкретного элемента карты зон по его идентификатору.
  `void`
  `voiceZoneMapItemTree(int zoneMapId, jakarta.xml.ws.Holder<jakarta.activation.DataHandler> content)`
  Получение списка элементов у карты зон.
  `int`
  `voiceZoneMapItemUpdate(VoiceZoneMapItem item)`
  Добавление/редактирование элемента карты зон.
  `List<VoiceZoneMap>`
  `voiceZoneMapList()`
  Получение общего списка карт зон.
  `int`
  `voiceZoneMapUpdate(VoiceZoneMap zoneMap)`
  Добавление/Редактирование карты зон в БД.
  `int`
  `voiceZoneUpdate(VoiceZone voiceZone)`

- ## Method Details

  - ### searchVoiceZone

    SearchResult<VoiceZone> searchVoiceZone(String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceZoneList

    List<VoiceZone> voiceZoneList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceZoneGet

    VoiceZone voiceZoneGet(int accountTypeId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceZoneUpdate

    int voiceZoneUpdate(VoiceZone voiceZone) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceZoneDelete

    int voiceZoneDelete(int voiceZoneId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceZoneCostMapList

    List<VoiceZoneCostMap> voiceZoneCostMapList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceZoneCostMapGet

    VoiceZoneCostMap voiceZoneCostMapGet(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceZoneCostMapUpdate

    int voiceZoneCostMapUpdate(VoiceZoneCostMap voiceZoneCostMap) throws Exception
    Throws:
      `Exception`

  - ### voiceZoneCostMapDelete

    void voiceZoneCostMapDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceZoneMapList

    List<VoiceZoneMap> voiceZoneMapList() throws ru.bitel.bgbilling.common.BGException
    Получение общего списка карт зон.
    Returns:
      список карт зон.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceZoneMapUpdate

    int voiceZoneMapUpdate(VoiceZoneMap zoneMap) throws ru.bitel.bgbilling.common.BGException
    Добавление/Редактирование карты зон в БД.
    Parameters:
      `zoneMap` - карта зон.
    Returns:
      код добавленной/обновленной записи.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceZoneMapDelete

    int voiceZoneMapDelete(int zoneMapId) throws ru.bitel.bgbilling.common.BGException
    Удаление карты зон из БД.
    Parameters:
      `zoneMapId` - код удаляемой карты зон.
    Returns:
      код удаленной карты зон.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceZoneMapItemTree

    void voiceZoneMapItemTree(int zoneMapId, jakarta.xml.ws.Holder<jakarta.activation.DataHandler> content) throws ru.bitel.bgbilling.common.BGException
    Получение списка элементов у карты зон.
    Parameters:
      `zoneMapId` - код карты зон.
      `content` - содержимое дерева элементов карты зон, представленное в виде сериализованного стандартными средствами Java объекта VoiceZoneMapItem
      `date` - дата, на которую выводится дерево с элементами карты зон
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceZoneMapItemGet

    VoiceZoneMapItem voiceZoneMapItemGet(int itemId) throws ru.bitel.bgbilling.common.BGException
    Получение одного конкретного элемента карты зон по его идентификатору.
    Parameters:
      `itemId` - id элемента
    Returns:
      элемент карты зон
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceZoneMapItemUpdate

    int voiceZoneMapItemUpdate(VoiceZoneMapItem item) throws ru.bitel.bgbilling.common.BGException
    Добавление/редактирование элемента карты зон.
    Parameters:
      `item` - добавляемый/редактируемый элемент карты зон.
    Returns:
      код добавленного/отредактированного элемента карты зон.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### voiceZoneMapItemDelete

    int voiceZoneMapItemDelete(List<Integer> itemIds) throws ru.bitel.bgbilling.common.BGException
    Удаление элемента (ов) карты зон по его идентификатору.
    Parameters:
      `itemIds` - список id элементов карты зон, подлежащих удалению.
    Returns:
      кол-во удаленных элементов
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### importZoneMap

    String importZoneMap(int zomeMapId, int mode, String importContent) throws ru.bitel.bgbilling.common.BGException
    Импорт элементов карты зон.
    Parameters:
      `zomeMapId` - код карты цен, в которую импортируются элементы
      `mode` - =0 из текстово поля =1 из xmlфайла
      `importContent` - данные
    Throws:
      `ru.bitel.bgbilling.common.BGException`